﻿@{
    Layout = null;
}
<!doctype html>
<!--[if lte IE 9]> <html class="lte-ie9" lang="en"> <![endif]-->
<!--[if gt IE 9]><!-->
<html lang="en">
<!--<![endif]-->
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="initial-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Remove Tap Highlight on Windows Phone IE -->
    <meta name="msapplication-tap-highlight" content="no" />
    <meta name="jwt_token" content="" />

    <link rel="icon" type="image/png" href="~/assets/img/favicon-16x16.png" sizes="16x16">
    <link rel="icon" type="image/png" href="~/assets/img/favicon-32x32.png" sizes="32x32">

    <title>Phoenix - Login Page</title>


    <!-- uikit -->
    <link rel="stylesheet" href="~/assets/plugins/uikit/css/uikit.almost-flat.min.css" />

    <!-- altair admin login page -->
    <link rel="stylesheet" href="~/assets/css/login_page.css" />
    
    <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.auto.js"></script>
    @*<!--[if (IE)]>
        <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.auto.js"></script>
    <![endif]-->*@


    <script>
        //var WEB = 'http://www.nava.local/Phoenix.Web/'
        //var API = 'http://www.nava.local/api/'
        var WEB = '@ViewBag.WEB_URL';
        var API = '@ViewBag.API_URL';
        var NOT_USING_AUTH_HEADER = '@ViewBag.NOT_USING_AUTH_HEADER';
        var NOT_USING_AUTH_HEADER2 = '@AppSetting.Value.GetUsingAuthHeader(ViewBag.controllerName, ViewBag.actionName)';
    </script>

</head>
<body class="login_page">

    <div class="login_page_wrapper">
        <div class="md-card" id="login_card">
            <div class="md-card-content large-padding" id="login_form">
                <div class="login_heading">
                    <img src="~/assets/img/logo_main.png">
                </div>
                <form id="login_form">
                    <div class="uk-form-row">
                        <label for="login_username">Username</label>
                        <input class="md-input" type="text" id="username" required name="username" />
                    </div>
                    <div class="uk-form-row">
                        <label for="login_password">Password</label>
                        <input class="md-input" type="password" id="password" required name="password" />
                    </div>
                    <div class="uk-margin-medium-top">
                        <button type="submit" class="md-btn md-btn-primary md-btn-block md-btn-large">Sign In</button>
                    </div>

                    <div class="uk-margin-top">
                        <a href="#" id="login_help_show" class="uk-float-right">Butuh Bantuan?</a>
                        <span class="icheck-inline">
                            <input type="checkbox" name="login_page_stay_signed" id="login_page_stay_signed" data-md-icheck />
                            <label for="login_page_stay_signed" class="inline-label">Stay signed in</label>
                        </span>
                    </div>
                </form>
            </div>
            <div class="md-card-content large-padding uk-position-relative" id="login_help" style="display: none">
                <button type="button" class="uk-position-top-right uk-close uk-margin-right uk-margin-top back_to_login"></button>
                <h2 class="heading_b uk-text-success">Login Gagal ?</h2>
                <p>Ikuti Petunjuk berikut untuk Membawa anda ke akun anda secepat mungkin</p>
                <p>Pertama, cobalah hal yang termudah: jika Anda mengingat kata sandi Anda namun tidak berfungsi, pastikan Caps Lock dimatikan, dan nama pengguna Anda dieja dengan benar, lalu coba lagi.</p>
                <p>Bila Password yang anda masukkan masih belum benar mungkin saatnya anda melakukan <a href="#" id="password_reset_show">reset password</a>.</p>
            </div>
            <div class="md-card-content large-padding" id="login_password_reset" style="display: none">
                <button type="button" class="uk-position-top-right uk-close uk-margin-right uk-margin-top back_to_login"></button>
                <h2 class="heading_a uk-margin-large-bottom">Reset password</h2>
                <form>
                    <div class="uk-form-row">
                        <label for="login_email_reset">Username</label>
                        <input class="md-input" type="text" id="Username_reset" name="Username_reset" />
                    </div>
                    <div class="uk-form-row">
                        <label for="login_email_reset">Your email address</label>
                        <input class="md-input" type="text" id="login_email_reset" name="login_email_reset" />
                    </div>
                    <div class="uk-margin-medium-top">
                        <a href="#" class="md-btn md-btn-primary md-btn-block">Reset password</a>
                    </div>
                </form>
            </div>

        </div>

    </div>

    <!-- common functions -->
    <script src="~/assets/js/common.min.js"></script>
    <!-- uikit functions -->
    <script src="~/assets/js/uikit_custom.min.js"></script>
    <!-- altair core functions -->
    <script src="~/assets/js/altair_admin_common.min.js"></script>

    <!-- altair login page functions -->
    <script src="~/assets/js/pages/login.min.js"></script>
    <script src="~/assets/js/axios.min.js"></script>

    <script src="~/assets/module/core-ie.js?r=@ViewBag.NOW"></script>
    @*<!--[if (IE)]>
            <script src="~/assets/module/core-ie.js?r=@ViewBag.NOW"></script>
        <![endif]-->
        <!--[if !(IE)]><!-->
            <script src="~/assets/module/core.js?r=@ViewBag.NOW"></script>
        <!--<![endif]-->*@
    <script src="~/assets/module/auth.js?r=@ViewBag.NOW"></script>



</body>
</html>